pkgname="jetson-ffmpeg"
pkgbase="jetson-ffmpeg"
pkgver="1"
pkgrel="1.0"
arch=("aarch64")
license=("GPL")
url="https://github.com/jocover/jetson-ffmpeg"
source=("git://https://github.com/jocover/jetson-ffmpeg.git")
makedepends=(
	'git'
	'cmake'
	'gcc-c++'
)
depends=(
	"nvidia-l4t-jetson-multimedia-api"
	"nvidia-l4t-multimedia"
	'v4l-utils'
	'mesa'
)

build() {
	mkdir -p jetson-ffmpeg/build/
	cd jetson-ffmpeg/build/

	cmake -DCMAKE_INSTALL_PREFIX=/usr ..
	make
}

package() {
	cd jetson-ffmpeg/build
	make DESTDIR="${pkgdir}" install
}

postinst() {
	ldconfig
}
